#!/bin/sh

WORKDIR=mb_top_dir
if [ ! -d ${WORKDIR} ]; then
  mkdir -${WORKDIR}
fi

cd ${WORKDIR}

ngdbuild -dd _ngo -sd ../../core_ip -nt timestamp -uc ../mb_top.ucf -p xc6slx9-csg324-2 mb_top.ngc mb_top.ngd -bm ../../core_ip/microblaze_mcs_v1_4.bmm
map -p xc6slx9-csg324-2 -w -logic_opt off -ol high -t 1 -xt 0 -register_duplication off -r 4 -global_opt off -mt off -detail -ir off -pr b -lc off -power off -o mb_top_map.ncd mb_top.ngd mb_top.pcf

par -w -ol high -mt off mb_top_map.ncd mb_top.ncd mb_top.pcf

trce -v 3 -s 2 -n 3 -fastpaths -xml mb_top.twx mb_top.ncd -o mb_top.twr mb_top.pcf

bitgen -f ../mb_top.ut mb_top.ncd


